FAQ
Currently running the following code snippet:
package DBIOracle;
use base 'DBI';
package DBIOracle::db;
use base 'DBI::db';

On a linux box running perl v5.6.1 built for i686-linux there are no issues.
However, on a Solaris box running perl 5.005_01 built for sun4-solaris
I get the following error:
Base class package "DBI::db" is empty
(Perhaps you need to 'use' the module which defines that package first.) at
DBIOracle.pm line 66

The DBI version on Solaris is:
DBI.pm,v 11.3 2001/08/24 23:33:40 timbo Exp

The DBI version on Linux is:
DBI.pm,v 11.7 2002/02/07 03:00:53 timbo Exp

Thanks,
Rich



==============================================================================
This message is for the sole use of the intended recipient. If you received
this message in error please delete it and notify us. If this message was
misdirected, Credit Suisse, its subsidiaries and affiliates (CS) do not
waive any confidentiality or privilege. CS retains and monitors electronic
communications sent through its network. Instructions transmitted over this
system are not binding on CS until they are confirmed by us. Message
transmission is not guaranteed to be secure.
==============================================================================

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupdbi-users @
categoriesperl
postedMay 25, '05 at 3:14p
activeMay 25, '05 at 3:14p
posts1
users1
websitedbi.perl.org

1 user in discussion

Ford, Richard: 1 post

People

Translate

site design / logo © 2022 Grokbase